Specify version requirement for django-filter

The version from Buster is not sufficient.
2 jobs for release-3 in 15 minutes and 45 seconds (queued for 1 second)
Status Job ID Name Coverage
  Test
passed #2843
make_test

00:07:52

 
  Deploy
failed #2844
make_deb_package

00:07:52

 
Name Stage Failure
failed
make_deb_package Deploy
debian/rules:13: recipe for target 'build' failed
make[2]: Leaving directory '/builds/stadtgestalten/stadtgestalten/build/debian/grouprise-3.0.0~1'
dpkg-buildpackage: error: debian/rules build gave error exit status 2
make[1]: *** [dist-deb-git-submodules-package] Error 2
build/makefilet/include/deb.mk:80: recipe for target 'dist-deb-git-submodules-package' failed
make[1]: Leaving directory '/builds/stadtgestalten/stadtgestalten'
build/makefilet/include/deb.mk:47: recipe for target 'build/.debian-build-09a68015-amd64.stamp' failed
make: *** [build/.debian-build-09a68015-amd64.stamp] Error 2
ERROR: Job failed: exit code 1